---
title: RTCIceTransport.component
slug: Web/API/RTCIceTransport/component
tags:
  - API
  - ICE
  - Media
  - Property
  - RTCIceTransport
  - RTCP
  - RTP
  - Read-only
  - Reference
  - Transport
  - Video
  - WebRTC
  - WebRTC API
  - component
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("RTCIceTransport")}}</strong> property <code><strong>component</strong></code> specifies whether the object is serving to transport RTP or RTCP. The value is one of the strings in {{domxref("RTCIceComponent")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>iceComponent</em> = <em>RTCIceTransport</em>.component;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value comes from the enumerated type {{domxref("RTCIceComponent")}}:</p>

<p>{{page("/en-US/docs/Web/API/RTCIceComponent", "Values")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-icetransport-component', 'RTCIceTransport.component')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTransport.component")}}</p>
</div>
